---
lang: en
title: 'API docs: authentication.authenticateactionprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticateactionprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticateActionProvider](./authentication.authenticateactionprovider.md)

## AuthenticateActionProvider class

Provides the authentication action for a sequence

**Signature:**

```typescript
export declare class AuthenticateActionProvider implements Provider<AuthenticateFn> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;[AuthenticateFn](./authentication.authenticatefn.md)<!-- -->&gt;

## Example


```ts
context.bind('authentication.actions.authenticate').toProvider(AuthenticateActionProvider)
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(getStrategies, setCurrentUser, setRedirectUrl, setRedirectStatus, options)](./authentication.authenticateactionprovider._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `AuthenticateActionProvider` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getStrategies](./authentication.authenticateactionprovider.getstrategies.md)


</td><td>

`readonly`


</td><td>

Getter&lt;[AuthenticationStrategy](./authentication.authenticationstrategy.md) \| [AuthenticationStrategy](./authentication.authenticationstrategy.md)<!-- -->\[\] \| undefined&gt;


</td><td>


</td></tr>
<tr><td>

[setCurrentUser](./authentication.authenticateactionprovider.setcurrentuser.md)


</td><td>

`readonly`


</td><td>

[Setter](./context.setter.md)<!-- -->&lt;[UserProfile](./security.userprofile.md)<!-- -->&gt;


</td><td>


</td></tr>
<tr><td>

[setRedirectStatus](./authentication.authenticateactionprovider.setredirectstatus.md)


</td><td>

`readonly`


</td><td>

[Setter](./context.setter.md)<!-- -->&lt;number&gt;


</td><td>


</td></tr>
<tr><td>

[setRedirectUrl](./authentication.authenticateactionprovider.setredirecturl.md)


</td><td>

`readonly`


</td><td>

[Setter](./context.setter.md)<!-- -->&lt;string&gt;


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[action(request)](./authentication.authenticateactionprovider.action.md)


</td><td>


</td><td>

The implementation of authenticate() sequence action.


</td></tr>
<tr><td>

[value()](./authentication.authenticateactionprovider.value.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


